﻿using GrapeCity.ActiveReports;
using System;
using System.Windows.Forms;

namespace ActiveReports_Demo_Application
{
    public partial class ReportForm : Form
    {
        private SectionReport report = new SectionReport();
        public ReportForm()
        {
            InitializeComponent();
        }
        private void ReportForm_Load(object sender, EventArgs e)
        {
            report.LoadLayout(System.Xml.XmlReader.Create("./Reports/sampleRpt.rpx"));
            GrapeCity.ActiveReports.Data.OleDBDataSource oleDBDataSource1 = new GrapeCity.ActiveReports.Data.OleDBDataSource
            {
                CommandText = "Select * from Products",
                ConnectionString = "Provider=Microsoft.Jet.OLEDB.4.0;Data Source=" + Application.StartupPath + "\\data\\NWind.mdb;Persist Security Info=False"
            };
            report.DataSource = oleDBDataSource1;
            report.Parameters["InputParameter"].Value = "Test Value";
            report.Run();
            
            viewer1.LoadDocument(report.Document);
        }

        private void viewer1_LoadCompleted(object sender, EventArgs e)
        {
            report.Document.Printer.PrinterName = "";
            report.Document.Printer.PrinterSettings.Copies = 2;
            viewer1.Print(false);
        }
    }
}
